%% ORDNORMULTI : Sorted normal multivariate normal distribution for typified variables
%
% ARGUMENTS   : z   -> column vector of the typical scores in the items
%               PHI -> correlation matrix between factors
% 

function orde  = ordnormulti (z,PHI)
       
       [n,m]=size(z);
       dospi=6.2832;
       tmp1=(dospi)^(n/2);
       tmp2=sqrt(det(PHI));
       tmp3=1/(tmp1*tmp2);
       quad=z'*inv(PHI)*z;
       orde=tmp3*exp(-0.5*(quad));
       
return;
