%% TABLECONTI2 : Creates contingency table
%

function C=tableconti2(X);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% TABLA DE CONTINGENCIA
%
%            X2
%
%            0     1
%
%  X1    0   A     B
%
%        1   C     D
%

C=zeros(2,2);

x1min = min(X(:,1));
x1max = max(X(:,1));

x2min = min(X(:,2));
x2max = max(X(:,2));

[N,tmp]=size(X);

for i=1:N,
   
%  A   
   if (X(i,1) == x1min) & (X(i,2) == x2min),
       C(1,1) = C(1,1) +1;
   end;
%  B   
   if (X(i,1) == x1min) & (X(i,2) == x2max),
       C(1,2) = C(1,2) +1;
   end;
%  C   
   if (X(i,1) == x1max) & (X(i,2) == x2min),
       C(2,1) = C(2,1) +1;
   end;
%  D   
   if (X(i,1) == x1max) & (X(i,2) == x2max),
       C(2,2) = C(2,2) +1;
   end;
   
end;

return;