%% ZSI : Computes the Loading simplicity index
%
% ARGUMENTS   : L  ->  Loading matrix
%
% RETURN VALUE: s  -> Simplicity index
%

function [s] = zsi (L);


 D =  diag(diag(L'*L));
 H =  diag(diag(L*D^(-1)*L'));
 B =  H^(-1/2) * L * D^(-1/2);
 C = B.*B;
  
 [p,r]=size(C);
  
 s=0;
 for i=1:p,
    for j=1:r,
       s=s+ (C(i,j)+0.000001)^(10*C(i,j));
    end;
 end;
 
 s= s/(p*r);
 
 e=0;
 for i=1:p,
    for j=1:r,
       e = e + ((1/r)+0.000001)^(10*(1/r));
    end;
 end;
 
 e= e/(p*r);
 
 s= (s-e)/(1-e);
